extension_dir not found after installing extra PHP versions

Discussion in 'Installation/Configuration' started by watermannl, Feb 20, 2014.

  1. watermannl

    watermannl New Member

    Dear all,

    I've some problems with running ISPconfig 3 on a Debian Wheezy using 2 versions of PHP.

    First of all - I've installed the ISP Config 3 using the "The Perfect Server - Debian Wheezy (Apache2, BIND, Dovecot, ISPConfig 3)" setup and after this the setup using "How To Use Multiple PHP Versions (PHP-FPM & FastCGI) With ISPConfig 3 (Debian Wheezy)" with the first PHP version (5.3.22 (PHP-FPM))"

    So far - so good - ISP config runs fine, I can add clients and websites - but when running a site I get the error 'extension_dir does not exists /opt/php-5.3.22/lib/php/extensions/no-debug-non-zts-20090626'

    When I change the setting in ISP config to the default PHP version the error is: "extension_dir does not exists /usr/lib/php5/20100525"

    Those extension_dir's are in the php.ini file I've found using phpinfo. and the physical folders do exist on the server.

    I've been searching on the internet but I can't find any solution.. could anybody help me out?

    Thank you in advance for your replies!

  2. watermannl

    watermannl New Member

    As a follow-up on thispost: This also happens to FCGI versions of PHP - it seems that it has to do with rights. What does PHP need to gain access to the PHP ini file? Or is it some setting?

Share This Page